'use strict';

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _resolve = require('resolve');

var _resolve2 = _interopRequireDefault(_resolve);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var runtimeRenderers = {
  storybook: _path2.default.join(__dirname, 'runtimes', 'storybook.js')
}; /* eslint-disable no-console */

module.exports = function doNothing(content) {
  return content;
};

// XXX: handle .jsx files, filter out .test.js files, etc
module.exports.pitch = function loadComponents() {
  var parsedQuery = typeof this.query === 'string' ? JSON.parse(this.query.substring(1)) : this.query;
  var _parsedQuery$appDir = parsedQuery.appDir,
      appDir = _parsedQuery$appDir === undefined ? process.cwd() : _parsedQuery$appDir,
      globalStyles = parsedQuery.globalStyles,
      _parsedQuery$componen = parsedQuery.componentDir,
      componentDir = _parsedQuery$componen === undefined ? [_path2.default.resolve(appDir, './src/components')] : _parsedQuery$componen,
      _parsedQuery$runtimes = parsedQuery.runtimes,
      runtimes = _parsedQuery$runtimes === undefined ? [] : _parsedQuery$runtimes,
      _parsedQuery$debug = parsedQuery.debug,
      debug = _parsedQuery$debug === undefined ? false : _parsedQuery$debug;


  function log(msg) {
    if (debug) {
      // eslint-disable-next-line no-console
      console.log('Chromatic Server: ' + msg);
    }
  }

  // Require all global imports
  var globalImportStr = '';
  if (globalStyles) {
    globalStyles.forEach(function (globalStyle) {
      var globalStyleInfo = _resolve2.default.sync(globalStyle, { basedir: appDir });
      if (!globalStyleInfo) {
        throw new Error('Failed to find global import "' + globalStyle + '", in ' + appDir + '. Perhaps it is mis-specified?');
      }
      log('loading styles from: ' + globalStyleInfo);
      globalImportStr += 'require("' + globalStyleInfo + '");\n';
    });
  }

  // TODO: support componentDir having more than one pattern
  // Find all the components in the app.
  var componentFiles = _glob2.default.sync(_path2.default.join(componentDir[0], '**', '*.js')).map(function (filepath) {
    var basename = _path2.default.basename(filepath, '.js');
    return {
      name: basename === 'index' ? _path2.default.basename(_path2.default.dirname(filepath)) : basename,
      filepath: filepath
    };
  })
  // XXX: better way to do this
  .filter(function (_ref) {
    var name = _ref.name;
    return name.indexOf('.') === -1;
  });

  log('found components: [' + componentFiles.map(function (_ref2) {
    var name = _ref2.name;
    return name;
  }).join(', ') + ']');

  return '\n  ' + globalImportStr + '\n  module.exports = {\n    runtimes: {\n      ' + (0, _keys2.default)(runtimes).map(function (runtime) {
    return '\n        ' + runtime + ': {\n          userCode: require(\'' + runtimes[runtime] + '\'),\n          renderer: require(\'' + runtimeRenderers[runtime] + '\'),\n        }';
  }).join(',') + '\n    },\n    components: {\n      ' + componentFiles.map(function (_ref3) {
    var name = _ref3.name,
        filepath = _ref3.filepath;
    return name + ': require(\'' + filepath + '\')';
  }).join(',') + '\n    }\n  }\n';
};
//# sourceMappingURL=loader.js.map