#!/usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _babelRegister = require('babel-register');

var _babelRegister2 = _interopRequireDefault(_babelRegister);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _tester = require('../tester');

var _tester2 = _interopRequireDefault(_tester);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Ensure we can reasonably compile their config even if they aren't using a .babelrc
(0, _babelRegister2.default)({
  presets: [['env', { targets: { node: 'current' } }]]
});

_commander2.default.option('-c, --config [path]', 'read config from file').option('-a, --app-code [code]', 'the code for your app, get from chromaticqa.com').option('-s, --global-styles [path(s)]', 'require global styles from <path>').option('-f, --framework [name]', 'app is build with <framework>').option('-w, --webpack-config [path]', 'use custom webpack config at <path>').option('--app-dir [path]', 'app is located at <path> (defaults to cwd)', process.cwd()).option('--component-dir [path(s)]', 'load components from JS files in <path>').option('--no-tunnel', 'do not tunnel the service over the internet', false).parse(process.argv);

var commandLineOptions = {
  config: _commander2.default.config,
  appCode: _commander2.default.appCode,
  globalStyles: _commander2.default.globalStyles,
  framework: _commander2.default.framework,
  webpackConfig: _commander2.default.webpackConfig,
  appDir: _commander2.default.appDir,
  componentDir: _commander2.default.componentDir,
  noTunnel: _commander2.default.noTunnel
};

var options = (0, _config2.default)(commandLineOptions);

(0, _tester2.default)(options).then(function (code) {
  return process.exit(code);
}).catch(function (e) {
  return console.error(e);
});
//# sourceMappingURL=chromatic-test.js.map